package org.rcisoft.business.opmTopic.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author
 */
@Data
@TableName("opm_topic")
public class OpmTopic extends CyIdIncreEntity<OpmTopic> {


    /**
     * @desc 话题名称
     * @column topic_name
     * @default
     */
    @Excel(name = "话题名称")
    @TableField("topic_name")
    private String topicName;

    /**
     * @desc 审核状态（0未审核、1已审核）
     * @column exam_status
     * @default
     */
    @Excel(name = "审核状态（0未审核、1已审核）")
    @TableField("exam_status")
    private String examStatus;

    /**
     * @desc 排序
     * @column weight
     * @default
     */
    @Excel(name = "排序")
    @TableField("weight")
    private Integer weight;

    /**
     * @desc 话题下的动态数
     * @column article_count
     * @default
     */
    @Excel(name = "话题下的动态数")
    @TableField("article_count")
    private Integer articleCount;


    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;
}


